import { createAuthClient } from "better-auth/solid";
import { magicLinkClient } from "better-auth/client/plugins";

export const authBaseUrl = import.meta.env.VITE_AUTH_URL || "http://localhost:43001";

export const authClient = createAuthClient({
  baseURL: authBaseUrl,
  plugins: [magicLinkClient()]
});
